no warnings:
2 warnings:
	Suspicious pointer assignment
	Calling convention mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Calling convention mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Calling convention mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Calling convention mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Calling convention mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Calling convention mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Calling convention mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Calling convention mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Calling convention mismatch in function pointer
2 warnings:
	Suspicious pointer assignment
	Calling convention mismatch in function pointer
